Get full KYB request detail

Returns full details of a KYB request. When the request is approved, the response includes a verification object with the audit scope.

Authentication

Authorizationstring

Pass your API key as Api-Key <your_api_key> in the Authorization header. API keys are issued per Project by the TREVEX team.

Query parameters

request_idstringRequired

The request_id returned by create_claim.

Response

KYB request detail retrieved.
statusCodeinteger
request_idstring
statusenum
  • pending_verification — user has not yet verified their email
  • under_review — user is verified; awaiting admin decision
  • approved — admin approved the KYB request
  • rejected — admin declined the KYB request (can be resubmitted)
Allowed values:
company_namestring
submitted_atdatetime
claim_datamap from strings to any
Full snapshot of the submitted KYB request payload.
verificationobject

Only present when status is approved and a company record is linked.

Errors

404
Not Found Error